UpdateView
curl --request PATCH \
--url https://api.siftstack.com/api/v1/views/{view.viewId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"view": {
"name": "<string>",
"axisGroups": {
"left": [
"<string>"
],
"right": [
"<string>"
]
},
"channels": [
{
"name": "<string>",
"component": "<string>",
"dataType": "<string>",
"axisGroup": "<string>",
"bitFieldNames": [
"<string>"
]
}
],
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"organizationId": "<string>",
"modifiedByUserId": "<string>",
"isPinned": true
},
"updateMask": "<string>"
}
'import requests
url = "https://api.siftstack.com/api/v1/views/{view.viewId}"
payload = {
"view": {
"name": "<string>",
"axisGroups": {
"left": ["<string>"],
"right": ["<string>"]
},
"channels": [
{
"name": "<string>",
"component": "<string>",
"dataType": "<string>",
"axisGroup": "<string>",
"bitFieldNames": ["<string>"]
}
],
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"organizationId": "<string>",
"modifiedByUserId": "<string>",
"isPinned": True
},
"updateMask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/views/{view.viewId}"
payload := strings.NewReader("{\n \"view\": {\n \"name\": \"<string>\",\n \"axisGroups\": {\n \"left\": [\n \"<string>\"\n ],\n \"right\": [\n \"<string>\"\n ]\n },\n \"channels\": [\n {\n \"name\": \"<string>\",\n \"component\": \"<string>\",\n \"dataType\": \"<string>\",\n \"axisGroup\": \"<string>\",\n \"bitFieldNames\": [\n \"<string>\"\n ]\n }\n ],\n \"createdDate\": \"2023-11-07T05:31:56Z\",\n \"modifiedDate\": \"2023-11-07T05:31:56Z\",\n \"createdByUserId\": \"<string>\",\n \"organizationId\": \"<string>\",\n \"modifiedByUserId\": \"<string>\",\n \"isPinned\": true\n },\n \"updateMask\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"view": {
"viewId": "<string>",
"name": "<string>",
"axisGroups": {
"left": [
"<string>"
],
"right": [
"<string>"
]
},
"channels": [
{
"name": "<string>",
"component": "<string>",
"dataType": "<string>",
"axisGroup": "<string>",
"bitFieldNames": [
"<string>"
],
"calculatedChannelConfig": {
"channelKey": "<string>",
"channelReferences": {},
"expression": "<string>",
"unit": "<string>"
}
}
],
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"organizationId": "<string>",
"modifiedByUserId": "<string>",
"isPinned": true
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}ViewService
UpdateView
Updates an existing view using using the list of fields specified in update_mask.
PATCH
/
api
/
v1
/
views
/
{view.viewId}
UpdateView
curl --request PATCH \
--url https://api.siftstack.com/api/v1/views/{view.viewId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"view": {
"name": "<string>",
"axisGroups": {
"left": [
"<string>"
],
"right": [
"<string>"
]
},
"channels": [
{
"name": "<string>",
"component": "<string>",
"dataType": "<string>",
"axisGroup": "<string>",
"bitFieldNames": [
"<string>"
]
}
],
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"organizationId": "<string>",
"modifiedByUserId": "<string>",
"isPinned": true
},
"updateMask": "<string>"
}
'import requests
url = "https://api.siftstack.com/api/v1/views/{view.viewId}"
payload = {
"view": {
"name": "<string>",
"axisGroups": {
"left": ["<string>"],
"right": ["<string>"]
},
"channels": [
{
"name": "<string>",
"component": "<string>",
"dataType": "<string>",
"axisGroup": "<string>",
"bitFieldNames": ["<string>"]
}
],
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"organizationId": "<string>",
"modifiedByUserId": "<string>",
"isPinned": True
},
"updateMask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/views/{view.viewId}"
payload := strings.NewReader("{\n \"view\": {\n \"name\": \"<string>\",\n \"axisGroups\": {\n \"left\": [\n \"<string>\"\n ],\n \"right\": [\n \"<string>\"\n ]\n },\n \"channels\": [\n {\n \"name\": \"<string>\",\n \"component\": \"<string>\",\n \"dataType\": \"<string>\",\n \"axisGroup\": \"<string>\",\n \"bitFieldNames\": [\n \"<string>\"\n ]\n }\n ],\n \"createdDate\": \"2023-11-07T05:31:56Z\",\n \"modifiedDate\": \"2023-11-07T05:31:56Z\",\n \"createdByUserId\": \"<string>\",\n \"organizationId\": \"<string>\",\n \"modifiedByUserId\": \"<string>\",\n \"isPinned\": true\n },\n \"updateMask\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"view": {
"viewId": "<string>",
"name": "<string>",
"axisGroups": {
"left": [
"<string>"
],
"right": [
"<string>"
]
},
"channels": [
{
"name": "<string>",
"component": "<string>",
"dataType": "<string>",
"axisGroup": "<string>",
"bitFieldNames": [
"<string>"
],
"calculatedChannelConfig": {
"channelKey": "<string>",
"channelReferences": {},
"expression": "<string>",
"unit": "<string>"
}
}
],
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"organizationId": "<string>",
"modifiedByUserId": "<string>",
"isPinned": true
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
A successful response.
Show child attributes
Show child attributes
Was this page helpful?
⌘I